Overview
Seam provides a universal API to connect and control many brands of smart locks. This guide provides a rapid introduction to connecting and controlling your Yale lock using the Seam API. Note that this guide is intended for Yale locks connected via the Yale wifi bridge and Yale access app. For Z-Wave Yale devices, head over to our guide for SmartThings. To learn more about other smart lock brands supported by Seam such as August, Schlage, and Salto, head over to our integration page.1 — Install Seam SDK
Seam provides client libraries for many languages, such as JavaScript, Python, Ruby, PHP, and others, as well as a Postman collection and OpenAPI spec.- JavaScript / TypeScript (npm, GitHub)
- Python (pip, GitHub)
- Ruby Gem (rubygem, GitHub)
- PHP (packagist, GitHub)
- C# (nuget, GitHub)
- JavaScript
- Python
- Ruby
- PHP
- C#
This guide uses a Sandbox Workspace. Only virtual devices can be connected. If
you need to connect a real Yale Lock, use a non-sandbox workspace and API key.
2 — Link Yale Account with Seam
To control your Yale lock via the Seam API, you must first authorize your Seam workspace against your Yale account. To do so, Seam provides Connect Webviews: pre-built UX flows that walk you through authorizing your application to control your Yale lock.Note that
yale_access or yale_home are now deprecated in favor of
justyale which will work with whichever version of the Yale backend.Request a Connect Webview
Authorize Your Workspace
Navigate to the URL returned by the Webview object. Since you are using a sandbox workspace, complete the login flow by entering the Yale sandbox test accounts credentials below:- email: jane@example.com
- password: 1234
- 2-factor-auth: 123456
3 — Retrieve Yale Lock Devices
After a Yale account is linked with Seam, you can retrieve devices for this Yale account. The Seam API exposes most of the device’s properties such as battery level or door lock status.4 — Locking & Unlocking a Door
Next, you can perform the basic action of locking and unlocking the door.POST/locks/lock_doorSee the API Reference for details.
Unlock a door
POST https://connect.getseam.com/locks/unlock_door
Request Body
| Name | Type | Description |
|---|---|---|
| device_id | String |
5 — Setting Access Code on Yale Lock
Most Yale locks come with a keypad built-in to program access codes. These codes can then be entered to unlock a Yale lock. The Seam API makes it easy to program bothongoing codes and timebound codes on a Yale lock. You can find out more about Yale lock access code in our core concept section on access codes.
Next Steps
Now that you’ve completed this guide, you can try to connect a real Yale device. To do so, make sure to switch to a non-sandbox workspace and API key as real devices cannot be connected to sandbox workspaces. In addition, if you’d like to explore other aspects of Seam, here is a list of helpful resources:- Schlage Getting Started Guide
- August Getting Started Guide
- SmartThings Getting Started Guide
- Receiving webhook for device events
- Core Concepts

